package org.jboss.test.remoting.tests;

import java.net.InetAddress;
import java.util.HashMap;

import javax.management.MBeanServer;

import org.jboss.remoting.InvocationRequest;
import org.jboss.remoting.InvokerLocator;
import org.jboss.remoting.ServerInvocationHandler;
import org.jboss.remoting.ServerInvoker;
import org.jboss.remoting.callback.InvokerCallbackHandler;
import org.jboss.remoting.transport.Connector;
import org.jboss.remoting.transport.PortUtil;

public class CoyoteInvokerParameterTest
{

   /**
    * @param args
    */
   public static void main(String[] args)
   {
      try
      {
         String host = InetAddress.getLocalHost().getHostAddress();
         int port = PortUtil.findFreePort(host);
         String locatorURI = "http://" + host + ":" + port;
         InvokerLocator serverLocator = new InvokerLocator(locatorURI);
         HashMap config = new HashMap();
         config.put(InvokerLocator.FORCE_REMOTE, "true");
         config.put("maxThreads", "300");
         Connector connector = new Connector(serverLocator, config);
         connector.create();
         TestInvocationHandler invocationHandler = new TestInvocationHandler();
         connector.addInvocationHandler("test", invocationHandler);
         connector.start();
      }
      catch (Exception e) {

      }
   }

   static class TestInvocationHandler implements ServerInvocationHandler {

      public void addListener(InvokerCallbackHandler callbackHandler)
      {
      }

      public Object invoke(InvocationRequest invocation) throws Throwable
      {
         return null;
      }

      public void removeListener(InvokerCallbackHandler callbackHandler)
      {
      }

      public void setInvoker(ServerInvoker invoker)
      {
      }

      public void setMBeanServer(MBeanServer server)
      {
      }

   }
}
